%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __requires_exclude python-gi

Name:           pyatspi
Version:        2.46.1
Release:        %mkrel 3
Summary:        Python bindings for at-spi
Group:          Development/Python
License:        LGPLv2 and GPLv2
URL:            https://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.1
Requires:	python-dbus
Requires:	python-gi

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python client library for at-spi.

%package -n python3-%{name}
Summary:	Python 3 bindings for at-spi
Group:		Development/Python
Requires:	python3-dbus
Requires:	python3-gobject3

%description -n python3-%{name}
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a python 3 client library for at-spi.

%prep
%setup -q

%build
mkdir python3
pushd python3
export PYTHON=%{__python3}
CONFIGURE_TOP=.. %configure --build=%{_build}
%make_build
popd

%install
%make_install -C python3

%files -n python3-%{name}
%doc AUTHORS README.md
%license COPYING COPYING.GPL
%{python3_sitelib}/pyatspi


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.46.1-3.mga10
+ Revision: 2242865
- Mageia 10 Mass Rebuild

* Tue Mar 04 2025 wally <wally> 2.46.1-2.mga10
+ Revision: 2160426
- rebuild for python3.13

* Mon Jan 08 2024 daviddavid <daviddavid> 2.46.1-1.mga10
+ Revision: 2028867
- new version 2.46.1

* Fri Dec 22 2023 joequant <joequant> 2.46.0-3.mga10
+ Revision: 2020880
- update to py3.12

* Tue Dec 19 2023 tv <tv> 2.46.0-2.mga10
+ Revision: 2019292
- Rebuild for python 3.12

* Sun Oct 23 2022 ghibo <ghibo> 2.46.0-1.mga9
+ Revision: 1898726
- Update to release 2.46.0

* Thu Mar 31 2022 umeabot <umeabot> 2.38.2-3.mga9
+ Revision: 1836353
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tmb <tmb> 2.38.2-2.mga9
+ Revision: 1773934
- rebuild for python 3.10

* Wed Dec 08 2021 ovitters <ovitters> 2.38.2-1.mga9
+ Revision: 1761246
- new version 2.38.2

* Tue Mar 16 2021 tmb <tmb> 2.38.1-2.mga9
+ Revision: 1703787
- rebuild for python 3.9

* Sat Mar 13 2021 ovitters <ovitters> 2.38.1-1.mga9
+ Revision: 1702285
- new version 2.38.1

* Sat Sep 12 2020 ovitters <ovitters> 2.38.0-1.mga8
+ Revision: 1625387
- new version 2.38.0

* Mon Aug 10 2020 ovitters <ovitters> 2.37.90-1.mga8
+ Revision: 1612793
- new version 2.37.90

* Sun Mar 08 2020 ovitters <ovitters> 2.36.0-1.mga8
+ Revision: 1554762
- new version 2.36.0

* Wed Feb 19 2020 ovitters <ovitters> 2.35.1-1.mga8
+ Revision: 1544851
- new version 2.35.1

* Sun Feb 16 2020 umeabot <umeabot> 2.34.0-4.mga8
+ Revision: 1532153
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 15 2019 tv <tv> 2.34.0-3.mga8
+ Revision: 1441750
- rebuild for python-3.8

* Wed Sep 11 2019 tv <tv> 2.34.0-2.mga8
+ Revision: 1439897
- rebuild for python-3.8
- drop python2 subpkg

* Mon Sep 09 2019 ovitters <ovitters> 2.34.0-1.mga8
+ Revision: 1438976
- new version 2.34.0

* Mon Sep 02 2019 ovitters <ovitters> 2.33.92-1.mga8
+ Revision: 1436450
- new version 2.33.92

* Sun Aug 11 2019 tv <tv> 2.33.90-1.mga8
+ Revision: 1428816
- new release

* Tue Apr 09 2019 ovitters <ovitters> 2.32.1-1.mga7
+ Revision: 1387235
- new version 2.32.1

* Tue Mar 12 2019 ovitters <ovitters> 2.32.0-1.mga7
+ Revision: 1374450
- new version 2.32.0

* Fri Mar 08 2019 daviddavid <daviddavid> 2.31.2-1.mga7
+ Revision: 1372822
- new version 2.31.2

* Tue Jan 08 2019 tv <tv> 2.30.0-3.mga7
+ Revision: 1352080
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.30.0-2.mga7
+ Revision: 1288139
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 ovitters <ovitters> 2.30.0-1.mga7
+ Revision: 1256904
- new version 2.30.0

* Wed Aug 15 2018 ovitters <ovitters> 2.29.90-1.mga7
+ Revision: 1251638
- new version 2.29.90
+ kekepower <kekepower>
- Use new make macros

* Mon Sep 11 2017 ovitters <ovitters> 2.26.0-1.mga7
+ Revision: 1153025
- new version 2.26.0

* Tue Aug 22 2017 ovitters <ovitters> 2.25.3-1.mga7
+ Revision: 1143172
- new version 2.25.3

* Sat Aug 05 2017 pterjan <pterjan> 2.24.0-2.mga7
+ Revision: 1135290
- Rebuild for python 3.6

* Tue Mar 21 2017 ovitters <ovitters> 2.24.0-1.mga6
+ Revision: 1094052
- new version 2.24.0

* Tue Jan 17 2017 ovitters <ovitters> 2.20.3-1.mga6
+ Revision: 1082117
- new version 2.20.3

* Mon May 09 2016 ovitters <ovitters> 2.20.2-1.mga6
+ Revision: 1011573
- new version 2.20.2

* Thu Apr 28 2016 tv <tv> 2.20.1-2.mga6
+ Revision: 1007109
- use new python macros

* Tue Apr 12 2016 ovitters <ovitters> 2.20.1-1.mga6
+ Revision: 1000665
- new version 2.20.1

* Tue Mar 22 2016 ovitters <ovitters> 2.20.0-1.mga6
+ Revision: 993867
- new version 2.20.0

* Tue Mar 01 2016 ovitters <ovitters> 2.19.91-1.mga6
+ Revision: 981609
- new version 2.19.91

* Fri Feb 19 2016 umeabot <umeabot> 2.18.0-3.mga6
+ Revision: 970499
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 2.18.0-2.mga6
+ Revision: 887054
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 2.18.0-1.mga6
+ Revision: 882871
- new release

* Tue Aug 18 2015 ovitters <ovitters> 2.17.90-1.mga6
+ Revision: 865767
- new version 2.17.90

* Sun Jun 21 2015 ovitters <ovitters> 2.16.0-1.mga6
+ Revision: 838282
- new version 2.16.0

* Wed Oct 15 2014 umeabot <umeabot> 2.14.0-3.mga5
+ Revision: 742995
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.14.0-2.mga5
+ Revision: 727986
- rebuild for missing pythoneggs deps

* Mon Sep 22 2014 ovitters <ovitters> 2.14.0-1.mga5
+ Revision: 719223
- new version 2.14.0

* Tue Sep 16 2014 umeabot <umeabot> 2.12.0-4.mga5
+ Revision: 687851
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat May 31 2014 pterjan <pterjan> 2.12.0-3.mga5
+ Revision: 629707
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 2.12.0-2.mga5
+ Revision: 628411
- Rebuild for new Python

* Mon Mar 24 2014 ovitters <ovitters> 2.12.0-1.mga5
+ Revision: 608138
- new version 2.12.0

* Mon Mar 17 2014 ovitters <ovitters> 2.11.92-1.mga5
+ Revision: 604592
- new version 2.11.92

* Tue Feb 18 2014 ovitters <ovitters> 2.11.90-1.mga5
+ Revision: 594424
- new version 2.11.90

* Wed Feb 05 2014 ovitters <ovitters> 2.11.3-1.mga5
+ Revision: 583246
- new version 2.11.3

* Sat Oct 19 2013 umeabot <umeabot> 2.10.0-2.mga4
+ Revision: 536531
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 2.10.0-1.mga4
+ Revision: 484609
- new version 2.10.0

* Tue Sep 17 2013 ovitters <ovitters> 2.9.92-1.mga4
+ Revision: 480454
- new version 2.9.92

* Tue Aug 20 2013 ovitters <ovitters> 2.9.90-1.mga4
+ Revision: 468360
- new version 2.9.90

* Sun Jul 28 2013 dams <dams> 2.9.3-1.mga4
+ Revision: 459240
- new version 2.9.3

* Sun Jun 30 2013 fwang <fwang> 2.8.0-3.mga4
+ Revision: 448516
- filter python-gi

* Sun Jun 30 2013 fwang <fwang> 2.8.0-2.mga4
+ Revision: 448512
- requires py3dbus
- add py3 flavour

* Sat May 25 2013 ovitters <ovitters> 2.8.0-1.mga4
+ Revision: 427367
- update file list
- new version 2.8.0

* Sun Jan 13 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 378384
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 fwang <fwang> 2.6.0-1.mga3
+ Revision: 297368
- update file list
- update file list
+ ovitters <ovitters>
- new version 2.6.0

* Tue Sep 18 2012 fwang <fwang> 2.5.92-1.mga3
+ Revision: 295804
- update file list
+ ovitters <ovitters>
- new version 2.5.92

* Tue Sep 04 2012 ovitters <ovitters> 2.5.91-1.mga3
+ Revision: 287812
- new version 2.5.91

* Mon Aug 06 2012 ovitters <ovitters> 2.5.5-1.mga3
+ Revision: 279560
- new version 2.5.5

* Mon Jul 16 2012 ovitters <ovitters> 2.5.4-1.mga3
+ Revision: 271584
- new version 2.5.4

* Fri Jul 06 2012 fwang <fwang> 2.5.3-1.mga3
+ Revision: 268379
- new version 2.5.3

* Mon Mar 26 2012 ovitters <ovitters> 2.4.0-1.mga2
+ Revision: 226985
- new version 2.4.0
- new version 2.3.92

* Tue Mar 06 2012 fwang <fwang> 2.3.91-1.mga2
+ Revision: 219616
- new version 2.3.91

* Tue Feb 07 2012 fwang <fwang> 2.3.5-1.mga2
+ Revision: 205825
- new versiono 2.3.5

* Tue Jan 17 2012 fwang <fwang> 2.3.4-2.mga2
+ Revision: 197256
- refresh requires

* Mon Jan 16 2012 fwang <fwang> 2.3.4-1.mga2
+ Revision: 196791
- new version 2.3.4

* Tue Oct 18 2011 wally <wally> 2.2.1-1.mga2
+ Revision: 156079
- new version 2.2.1

* Tue Sep 27 2011 ovitters <ovitters> 2.2.0-1.mga2
+ Revision: 149127
- new version 2.2.0

* Mon Sep 26 2011 wally <wally> 2.1.91-2.mga2
+ Revision: 148908
- fix requires

* Thu Sep 22 2011 ovitters <ovitters> 2.1.91-1.mga2
+ Revision: 146890
- imported package pyatspi

